@ECHO OFF

REM MTV: Create TV Series Disc from TV Series Fanart
REM MVM: Create Movie Disc from Movie Fanart
REM MAM: Create Music Disc from Album Cover

echo %time:~-11,5% - %date:~-14,6% >> "%~dp0fakecd.log"
echo Input File: %1 >> "%~dp0fakecd.log"
echo Output File: %2 >> "%~dp0fakecd.log"

IF "%3"=="MTV" goto :series
IF "%3"=="MVM" goto :movies
IF "%3"=="MAM" goto :music


REM Create TV Series Disc from TV Series Fanart

:series
echo Type: Series >> "%~dp0fakecd.log"
"%~dp0convert.exe" %1 -resize 1778x1778 ^ -gravity center -crop 1000x1000+0+0 +repage ^ "%~dp0fanart.mask.png" -alpha off -compose copy_opacity -composite "%~dp0fanart.overlay.png" -compose over -composite ^ %2
echo %~dp0 %1 %2 >> "%~dp0log.txt"
goto :theend



REM Create Movie Disc from Movie Fanart

:movies
echo Type: Movies >> "%~dp0fakecd.log"
"%~dp0convert.exe" %1 -resize 1778x1778 ^ -gravity center -crop 1000x1000+0+0 +repage ^ "%~dp0fanart.mask.png" -alpha off -compose copy_opacity -composite "%~dp0fanart.overlay.png" -compose over -composite ^ %2
echo %~dp0 %1 %2 >> "%~dp0log.txt"
goto :theend



REM Create Music Disc from Album Cover

:music
echo Type: Music >> "%~dp0fakecd.log"
"%~dp0convert.exe" %1 -resize 1000x1000! ^ -gravity center -crop 1000x1000+0+0 +repage ^ "%~dp0musicalbum.mask.png" -alpha off -compose copy_opacity -composite "%~dp0musicalbum.overlay.png" -compose over -composite ^ %2
echo %~dp0 %1 %2 >> "%~dp0log.txt"
goto :theend



:theend
echo. >> "%~dp0fakecd.log"
echo. >> "%~dp0fakecd.log"